Bug 959687 - drupal7: Add libraries directory and macro
Summary: drupal7: Add libraries directory and macro
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: drupal7
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-04 20:19 UTC by Shawn Iwinski
Modified: 2013-06-18 20:47 UTC (History)
3 users (show)

Fixed In Version: drupal7-7.22-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-14 04:48:50 UTC
Type: Bug


Attachments (Terms of Use)
Adds %drupal7_libraries macro to macros.drupal7 (425 bytes, patch)
2013-05-04 20:19 UTC, Shawn Iwinski
no flags Details | Diff
Adds empty libraries directory creation to drupal7.spec (562 bytes, patch)
2013-05-04 20:21 UTC, Shawn Iwinski
no flags Details | Diff

Description Shawn Iwinski 2013-05-04 20:19:50 UTC
Created attachment 743577 [details]
Adds %drupal7_libraries macro to macros.drupal7

Description of problem:
No libraries directory created and no libraries macro provided.


Version-Release number of selected component (if applicable):
drupal7-7.22-1

  
Actual results:
See description.


Expected results:
Empty libraries directory created and %drupal7_libraries macro provided

Comment 1 Shawn Iwinski 2013-05-04 20:21:43 UTC
Created attachment 743578 [details]
Adds empty libraries directory creation to drupal7.spec

Comment 2 Gwyn Ciesla 2013-05-07 14:59:03 UTC
Can you give me a quick summary of the benefits this will provide?

Comment 3 Shawn Iwinski 2013-05-08 16:48:29 UTC
(In reply to comment #2)
> Can you give me a quick summary of the benefits this will provide?

Sure!  The Libraries API module (http://drupal.org/project/libraries) uses this directory to store non-Drupal library files -- see "Installing an external library that is required by a contributed module" (http://drupal.org/node/1440066).  Since Drupal modules may not bundle the non-Drupal libraries for Fedora the libraries must be packaged separately and usually in a system-wide directory instead of this Drupal specific directory.  This directory provides the location to add the non-Drupal libraries and the macro allows RPM packagers to have a consistent value to use for adding these libraries or to soft-link to these libraries.

Comment 4 Gwyn Ciesla 2013-05-09 13:16:20 UTC
Seems reasonable.  Updates forthcoming.

Comment 5 Fedora Update System 2013-05-09 13:52:29 UTC
drupal7-7.22-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-7.22-3.el6

Comment 6 Fedora Update System 2013-05-09 13:52:40 UTC
drupal7-7.22-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal7-7.22-3.fc17

Comment 7 Fedora Update System 2013-05-09 13:52:52 UTC
drupal7-7.22-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-7.22-3.el5

Comment 8 Fedora Update System 2013-05-09 13:53:14 UTC
drupal7-7.22-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal7-7.22-3.fc18

Comment 9 Fedora Update System 2013-05-09 13:53:33 UTC
drupal7-7.22-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/drupal7-7.22-3.fc19

Comment 10 Fedora Update System 2013-05-09 20:22:43 UTC
Package drupal7-7.22-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing drupal7-7.22-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-5730/drupal7-7.22-3.el6
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2013-05-14 04:48:50 UTC
drupal7-7.22-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-05-19 02:33:16 UTC
drupal7-7.22-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-05-21 20:21:26 UTC
drupal7-7.22-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal7-7.22-4.fc17

Comment 14 Fedora Update System 2013-05-21 20:21:46 UTC
drupal7-7.22-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-7.22-4.el6

Comment 15 Fedora Update System 2013-05-21 20:22:07 UTC
drupal7-7.22-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal7-7.22-4.fc18

Comment 16 Fedora Update System 2013-05-21 20:22:30 UTC
drupal7-7.22-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-7.22-4.el5

Comment 17 Fedora Update System 2013-05-21 20:22:51 UTC
drupal7-7.22-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/drupal7-7.22-4.fc19

Comment 18 Fedora Update System 2013-05-31 04:25:01 UTC
drupal7-7.22-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2013-05-31 04:27:58 UTC
drupal7-7.22-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2013-06-01 03:23:00 UTC
drupal7-7.22-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2013-06-03 15:46:59 UTC
drupal7-7.22-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/drupal7-7.22-5.fc19

Comment 22 Fedora Update System 2013-06-03 15:47:27 UTC
drupal7-7.22-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-7.22-5.el6

Comment 23 Fedora Update System 2013-06-03 15:47:51 UTC
drupal7-7.22-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal7-7.22-5.fc17

Comment 24 Fedora Update System 2013-06-03 15:48:17 UTC
drupal7-7.22-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-7.22-5.el5

Comment 25 Fedora Update System 2013-06-03 15:48:40 UTC
drupal7-7.22-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal7-7.22-5.fc18

Comment 26 Fedora Update System 2013-06-13 06:47:54 UTC
drupal7-7.22-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2013-06-14 02:29:20 UTC
drupal7-7.22-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2013-06-14 02:30:16 UTC
drupal7-7.22-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2013-06-18 20:46:49 UTC
drupal7-7.22-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2013-06-18 20:47:51 UTC
drupal7-7.22-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.